OpenTTD: src/core/geometry_func.cpp File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
geometry_func.cpp File Reference

Geometry functions. More...

`#include "../stdafx.h"`
`#include "geometry_func.hpp"`
`#include "math_func.hpp"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
Dimension | maxdim (const Dimension &d1, const Dimension &d2)
| Compute bounding box of both dimensions.

## Detailed Description

Geometry functions.

Definition in file geometry_func.cpp.

## Function Documentation

Dimension maxdim | ( | const Dimension & | d1,
|  | const Dimension & | d2
| ) |  |

Compute bounding box of both dimensions.

Parameters

  d1 | First dimension.
  d2 | Second dimension.

Returns
  The bounding box of both dimensions, the smallest dimension that surrounds both arguments.

Definition at line 24 of file geometry_func.cpp.

References max().

Referenced by VehicleGroupWindow::ComputeGroupInfoSize(), BaseVehicleListWindow::GetActionDropdownSize(), NetworkContentListWindow::NetworkContentListWindow(), SelectCompanyManagerFaceWindow::OnInit(), IndustryCargoesWindow::OnInit(), NWidgetBackground::SetupSmallestSize(), NWidgetLeaf::SetupSmallestSize(), SelectGameWindow::UpdateWidgetSize(), LinkGraphLegendWindow::UpdateWidgetSize(), SetDateWindow::UpdateWidgetSize(), StatusBarWindow::UpdateWidgetSize(), SubsidyListWindow::UpdateWidgetSize(), BuildBridgeWindow::UpdateWidgetSize(), GoalListWindow::UpdateWidgetSize(), NewGRFParametersWindow::UpdateWidgetSize(), TownAuthorityWindow::UpdateWidgetSize(), ReplaceVehicleWindow::UpdateWidgetSize(), SignListWindow::UpdateWidgetSize(), BuildAirportWindow::UpdateWidgetSize(), BuildIndustryWindow::UpdateWidgetSize(), NewsWindow::UpdateWidgetSize(), MusicTrackSelectionWindow::UpdateWidgetSize(), CompanyStationsWindow::UpdateWidgetSize(), GameOptionsWindow::UpdateWidgetSize(), VehicleGroupWindow::UpdateWidgetSize(), GenerateLandscapeWindow::UpdateWidgetSize(), AboutWindow::UpdateWidgetSize(), NetworkChatWindow::UpdateWidgetSize(), SaveLoadWindow::UpdateWidgetSize(), NetworkGameWindow::UpdateWidgetSize(), MusicWindow::UpdateWidgetSize(), StoryBookWindow::UpdateWidgetSize(), SelectCompanyLiveryWindow::UpdateWidgetSize(), NewGRFWindow::UpdateWidgetSize(), TownDirectoryWindow::UpdateWidgetSize(), OrdersWindow::UpdateWidgetSize(), PaymentRatesGraphWindow::UpdateWidgetSize(), CreateScenarioWindow::UpdateWidgetSize(), BuildRailStationWindow::UpdateWidgetSize(), NetworkStartServerWindow::UpdateWidgetSize(), SelectCompanyManagerFaceWindow::UpdateWidgetSize(), IndustryDirectoryWindow::UpdateWidgetSize(), BuildVehicleWindow::UpdateWidgetSize(), VehicleListWindow::UpdateWidgetSize(), NetworkClientListPopupWindow::UpdateWidgetSize(), VehicleDetailsWindow::UpdateWidgetSize(), CompanyWindow::UpdateWidgetSize(), and SelectStationWindow< T >::UpdateWidgetSize().